%define module_name List-Helpers-XS
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt2
Summary: Perl extension to provide some usefull functions with arrays
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CD/CDN/%{module_name}-%{version}.tar.gz

%description
This module provides some rare but usefull functions to work with arrays.
It supports tied arrays.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md LICENSE Changes README
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.20-alt2
- rebuild with perl 5.38

* Sat Apr 29 2023 Igor Vlasenko <viy@altlinux.org> 0.20-alt1
- updated by package builder

* Sun Dec 05 2021 Igor Vlasenko <viy@altlinux.org> 0.19-alt1
- updated by package builder

* Wed Oct 13 2021 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- updated by package builder

* Thu Jul 01 2021 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.15-alt2
- rebuild with perl 5.34.0

* Tue Mar 30 2021 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- initial import by package builder

